﻿using System;

namespace CardPlay.Client.Model
{
    public class RecordOfPlay
    {
        public Guid Id { get; set; }

        public DateTime TimeStarted { get; set; }

        public TimeSpan Duration { get; set; }

        public Guid PlayerId { get; set; }

        public Guid GameId { get; set; }

        public int GameNumber { get; set; }

        public GameOutcome Outcome { get; set; }

        public int TotalMoves { get; set; }
    }
}