﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;
using CardPlay.Model.GameModel.Presentation;
using CardPlay.Model.Primitives;

namespace CardPlay.Client.ViewModels
{
    public interface ICanvas
    {
        LayoutMetrics Metrics { get; }

        Size ViewportSize { get; set; }
        Size Size { get; set; }
        Rectangle TightestBounds { get; }

        PartLocation HitTest(int x, int y);

        object ImageForCard(Card card);
        object ImageForEmptyCue(EmptyPileCue emptyCue);
    }
}