﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.BeleaguredCastleVariants
{
    [Game("CB66AEB4-3063-4735-95D0-334856E3F182", LevelOfDifficulty.Medium, LevelOfSkill.MostlySkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class StreetsAndAlleys : BeleagueredCastle
    {
        protected override void PrepareDealScript(DealScript script)
        {
            script.Deal("7 up").To(Tableau1);
            script.Deal("7 up").To(Tableau2);
            script.Deal("7 up").To(Tableau3);
            script.Deal("7 up").To(Tableau4);
            script.Deal("6 up").To(Tableau5);
            script.Deal("6 up").To(Tableau6);
            script.Deal("6 up").To(Tableau7);
            script.Deal("6 up").To(Tableau8);
        }
    }
}