﻿using CardPlay.Model.GameModel;
using CardPlay.Model.GameModel.Actions;

namespace CardPlay.DemoPack.Games.CanfieldVariants
{
    [Game("39750DF5-64E6-447A-9033-1219E21DA851", LevelOfDifficulty.Easy, LevelOfSkill.MostlyChance, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class SuperiorCanfield : Canfield
    {
        public SuperiorCanfield()
        {
            AutoPlayReserve = false;
        }

        protected override bool AllowedToBuildEmptyTableau(MovePileAction action)
        {
            return action.PileBeingMoved.BottomCard.Rank != FoundationBaseRank;
        }
    }
}