﻿using CardPlay.Model.GameModel;
using CardPlay.Model.GameModel.Actions;

namespace CardPlay.DemoPack.Games.CongressVariants
{
    [Game("4FE17B6A-C104-404A-BF19-A28141E9CB71", LevelOfDifficulty.Easy, LevelOfSkill.ModerateSkill, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class LadyPalk : Diplomat
    {
        protected override bool IsTableauPickupIsAllowed(RemovePileAction action)
        {
            return action.Location.Matches(AnyTableau) && action.IsActingOnFaceUpTopPile();
        }
    }
}