﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("3674A14C-837E-4580-8446-CDF3B217D712", LevelOfDifficulty.Easy, LevelOfSkill.ModerateSkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class AliBaba : NumberTen
    {
        public AliBaba()
        {
            TotalDecks = 1;
            TotalFoundations = 4;
            TableauDealFormat = "4 up";
            TableauBuildSequence = CardFaceSequence.SameSuitDescendingRank;
        }
    }
}