﻿using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("3EE1082A-C700-41C1-8D6F-1D5983D747DD", LevelOfDifficulty.Medium, LevelOfSkill.ModerateSkill, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class Corona : FortyThieves
    {
        public Corona()
        {
            TotalTableaus = 12;
            TableauDealFormat = "3 up";
        }

        protected override void OnTransactionEnding()
        {
            this.FillFromStockEmptyPilesMatching(AnyTableau);
        }
    }
}