﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("D5F22FD1-4E74-4D45-B6E4-C0B1E817D3FA", LevelOfDifficulty.Easy, LevelOfSkill.MostlyChance, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class Courtyard : NumberTen
    {
        public Courtyard()
        {
            TotalTableaus = 12;
            TableauDealFormat = "1 up";
            TableauBuildSequence = CardFaceSequence.SameSuitDescendingRank;
        }

        protected override void OnTransactionEnding()
        {
            this.FillFromStockEmptyPilesMatching(AnyTableau);
        }
    }
}