﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("92F4B759-88A2-4183-A03F-2763F82E33DA", LevelOfDifficulty.Medium, LevelOfSkill.ModerateSkill, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class DoubleRail : NumberTen
    {
        public DoubleRail()
        {
            TotalTableaus = 5;
            TableauDealFormat = "1 up";
            TableauBuildSequence = CardFaceSequence.AnySuitDescendingRank;
        }
    }
}