﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("3ADD4EED-E1ED-4DE4-9361-694AE698F988", LevelOfDifficulty.Medium, LevelOfSkill.MostlyChance, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class Maria : FortyThieves
    {
        public Maria()
        {
            TotalTableaus = 9;
            TableauBuildSequence = CardFaceSequence.AlternatingColorDescendingRank;
        }
    }
}