﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;
using CardPlay.Model.GameModel.Actions;

namespace CardPlay.DemoPack.Games.FreeCellVariants
{
    [Game("AD33B4DE-BE50-4F35-A399-DA93FCD54578", LevelOfDifficulty.Medium, LevelOfSkill.MostlySkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class FreeCell : BakersGame
    {
        public FreeCell()
        {
            TableauBuildSequence = CardFaceSequence.AlternatingColorDescendingRank;
        }

        protected override bool AllowedToBuildNonEmptyTableau(MovePileAction action)
        {
            return true;
        }
    }
}