﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;
using CardPlay.Model.Layout;

namespace CardPlay.DemoPack.Games.KlondikeVariants
{
    [Game("98185EF0-2DF3-46E3-B03A-E77B3B2B2877", LevelOfDifficulty.Medium, LevelOfSkill.Skill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class KingAlbert : AgnesBernauer
    {
        public KingAlbert()
        {
            NamesOfAdditionalPiles.Remove(Stock);
            TotalTableaus = 9;
            FoundationRowAlignment = HorizontalAlignment.Center;
        }

        protected override void PrepareDealScript(DealScript script)
        {
            script.DealCardToEach(NamesOfReserves);
            DealToTableau(script, CardOrientation.FaceUp);
        }
    }
}