﻿using System.Collections.Generic;
using System.Linq;
using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.SpiderVariants
{
    [Game("50100141-5824-4B43-91C1-C32AB325F260", LevelOfDifficulty.Medium, LevelOfSkill.ModerateSkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class SpiderOneSuit : Spider
    {
        protected override IEnumerable<Card> CardsInInitialDeal
        {
            get { return DeckFactory.CombineIdenticalDecks(8).Where(card => card.Suit == Suit.Spades); }
        }
    }
}