﻿namespace CardPlay.Model.GameModel.Actions
{
    public class IncrementDealCountAction : GameAction
    {
        protected IncrementDealCountAction(CardGame cardGame, PartLocation from) : base(cardGame, from)
        {
        }

        public IncrementDealCountAction(CardGame cardGame) : this(cardGame, PartLocation.Empty)
        {
        }

        protected override void OnExecute()
        {
            ++CardGame.TotalDeals;
        }

        protected override void OnReverse()
        {
            --CardGame.TotalDeals;
        }
    }
}