﻿using System;
using CardPlay.Model.GameModel;

namespace CardPlay.Model
{
    public interface IGameDescriptor
    {
        Guid Id { get; }

        string DisplayName { get; }
        string Family { get; }

        int NumberOfDecks { get; }
        LevelOfSkill LevelOfSkill { get; }
        LevelOfDifficulty LevelOfDifficulty { get; }
        DurationOfPlay TypicalPlayingTime { get; }

        ICardGame CreateInstance();
    }
}