﻿using System.Windows;
using System.Windows.Media.Imaging;
using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel.Presentation;

namespace CardPlay.Presentation
{
    public interface IGraphics
    {
        Size CardSize { get; }

        BitmapSource CreateBackground();

        BitmapSource CreateEmptyCue(EmptyPileCue emptyCue);

        BitmapSource CreateImageForCard(Card card);

        BitmapSource CreateCardFace(CardFace face);
    }
}