﻿using System;
using System.Windows;

namespace CardPlay.Client.Controls
{
    public partial class CommandLink
    {
        public CommandLink()
        {
            InitializeComponent();
        }

        public static readonly DependencyProperty InstructionProperty = DependencyProperty.Register("Instruction",
            typeof(string), typeof(CommandLink), new FrameworkPropertyMetadata(String.Empty, FrameworkPropertyMetadataOptions.AffectsRender));

        public static readonly DependencyProperty DescriptionProperty = DependencyProperty.Register("Description",
            typeof(string), typeof(CommandLink), new FrameworkPropertyMetadata(null, FrameworkPropertyMetadataOptions.AffectsRender));

        public string Instruction
        {
            get { return (string) GetValue(InstructionProperty); }
            set { SetValue(InstructionProperty, value); }
        }

        public string Description
        {
            get { return (string)GetValue(DescriptionProperty); }
            set { SetValue(DescriptionProperty, value); }
        }
    }
}
