﻿using CardPlay.Client.ViewModels;
using CardPlay.Model.GameModel;

namespace CardPlay.Client.Tools
{
    public class DragPileTool : DragDropTool
    {
        public DragPileTool(IToolSite host) : base(host)
        {
        }

        protected override IDraggable CreateDragObject(PartLocation partLocation)
        {
            var playingContext = (IPlayingContext) Site.GetService(typeof (IPlayingContext));
            return playingContext.CreateDragObject(partLocation);
        }
    }
}