﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("C8F2CBB2-AD40-45BE-AA10-1DD5F65A1C7B", LevelOfDifficulty.Easy, LevelOfSkill.ChanceOnly, DurationOfPlay.LessThan5Minutes, Family = FamilyName)]
    public class FortunesFavor : FortyThieves
    {
        public FortunesFavor()
        {
            TotalDecks = 1;
            TotalFoundations = CardFace.SuitsPerDeck;
            TotalTableaus = 12;
            TableauDealFormat = "1 up";
            DealFoundationsInSetup = true;
        }

        protected override void OnTransactionEnding()
        {
            this.FillFromStockEmptyPilesMatching(AnyTableau);
        }
    }
}