﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("396DAB21-1717-43BE-8C96-18B4BF133090", LevelOfDifficulty.Easy, LevelOfSkill.MostlySkill, DurationOfPlay.Within5To10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class Lucas : NumberTen
    {
        public Lucas()
        {
            MaximumDeals = 2;
            TotalTableaus = 13;
            TableauDealFormat = "3 up";
            TableauBuildSequence = CardFaceSequence.SameSuitDescendingRank;
            DealFoundationsInSetup = true;
        }
    }
}