﻿using CardPlay.Model.ActionModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FortyThievesVariants
{
    [Game("F2D3DE3F-A7A3-4045-9044-716A7968C442", LevelOfDifficulty.Easy, LevelOfSkill.MostlyChance, DurationOfPlay.MoreThan10Minutes, Family = FamilyName)]
    public class Perserverance : Cruel
    {
        public Perserverance()
        {
            MaximumDeals = 2;
        }

        protected override IAction CreateResetStockAction()
        {
            return new DelegatingAction { OnExecute = ReverseStock, OnReverse = ReverseStock };
        }

        private void ReverseStock()
        {
            this[Stock].Reverse();
        }
    }
}