﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.FourSeasonsVariants
{
    [Game("1B8D2D39-BAE2-4773-94FF-D7B9C02CF044", LevelOfDifficulty.Medium, LevelOfSkill.MostlyChance, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class LittleWindmill : FourSeasons
    {
        protected override void PrepareDealScriptForFoundations(DealScript script)
        {
            script.Deal("face(ace) up").To(Foundation1);
        }
    }
}