﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.KlondikeVariants
{
    [Game("DBE1C7C4-24A1-4028-8124-BA5CADED7988", LevelOfDifficulty.Medium, LevelOfSkill.MostlySkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class Raglan : KingAlbert
    {
        public Raglan()
        {
            TotalReserves = 6;
        }

        protected override void PrepareDealScript(DealScript script)
        {
            script.DealAcesTo(NamesOfFoundations);
            base.PrepareDealScript(script);
        }
    }
}