﻿using System.Linq;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.PyramidVariants
{
    [Game("67527BE5-3349-4BE2-A3DD-C8E5501685BB", LevelOfDifficulty.Easy, LevelOfSkill.MostlyChance, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class PyramidEasyCouple : Pyramid
    {
        protected override bool IsExposedPyramidLocation(PartLocation location)
        {
            var coveringCards = CoveringCardsAt(location).ToArray();
            return !coveringCards.Any() || (coveringCards.Length == 1 && Selection.Contains(coveringCards.First()));
        }
    }
}