﻿using CardPlay.Model.GameModel;
using CardPlay.Model.GameModel.Actions;

namespace CardPlay.DemoPack.Games.SirTommyVariants
{
    [Game("3B5D370F-A790-407E-B0D6-AA1590E474BE", LevelOfDifficulty.Medium, LevelOfSkill.MostlySkill, DurationOfPlay.LessThan5Minutes, Family = FamilyName)]
    public class Strategy : SirTommy
    {
        public Strategy()
        {
            TotalTableaus = 8;
        }

        protected override bool AllowedToBuildFoundation(MovePileAction action)
        {
            return base.AllowedToBuildFoundation(action) && this[Stock].IsEmpty;
        }
    }
}