﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.SpiderVariants
{
    [Game("CB9FB8EE-7E07-4273-A801-A0A688680C4F", LevelOfDifficulty.Medium, LevelOfSkill.Skill, DurationOfPlay.MoreThan10Minutes, NumberOfDecks = 2, Family = FamilyName)]
    public class Beetle : Spider
    {
        protected override IDealAction CreateDealScript()
        {
            var script = new DealScript();

            script.Deal("5 up").To(Tableau1);
            script.Deal("5 up").To(Tableau2);
            script.Deal("5 up").To(Tableau3);
            script.Deal("5 up").To(Tableau4);
            script.Deal("4 up").To(Tableau5);
            script.Deal("4 up").To(Tableau6);
            script.Deal("4 up").To(Tableau7);
            script.Deal("4 up").To(Tableau8);
            script.Deal("4 up").To(Tableau9);
            script.Deal("4 up").To(Tableau10);
            script.DealRemainingFaceDownTo(Stock);

            return script.Compile();
        }
    }
}