﻿using System.Collections.Generic;
using System.Linq;
using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.SpiderVariants
{
    [Game("34D16F2F-E75E-4781-BE84-E247FBC2DA7D", LevelOfDifficulty.Medium, LevelOfSkill.ModerateSkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class SpiderTwoSuits : Spider
    {
        protected override IEnumerable<Card> CardsInInitialDeal
        {
            get { return DeckFactory.CombineIdenticalDecks(4).Where(card => card.Suit == Suit.Spades || card.Suit == Suit.Hearts); }
        }
    }
}