﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.SpiderVariants
{
    [Game("E4CA4387-11FB-4285-B432-B975ECEA0C92", LevelOfDifficulty.Easy, LevelOfSkill.ModerateSkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class WillOTheWisp : Spiderette
    {
        protected override IDealAction CreateDealScript()
        {
            var script = new DealScript();

            script.Deal("2 down;up").To(Tableau1);
            script.Deal("2 down;up").To(Tableau2);
            script.Deal("2 down;up").To(Tableau3);
            script.Deal("2 down;up").To(Tableau4);
            script.Deal("2 down;up").To(Tableau5);
            script.Deal("2 down;up").To(Tableau6);
            script.Deal("2 down;up").To(Tableau7);
            script.DealRemainingFaceDownTo(Stock);

            return script.Compile();
        }
    }
}