﻿using CardPlay.Model.CardModel;
using CardPlay.Model.GameModel;

namespace CardPlay.DemoPack.Games.YukonVariants
{
    [Game("2CBF360B-3E53-4E30-89AA-6B050F1AF6A5", LevelOfDifficulty.Medium, LevelOfSkill.ModerateSkill, DurationOfPlay.Within5To10Minutes, Family = FamilyName)]
    public class RussianSolitaire : Yukon
    {
        public RussianSolitaire()
        {
            TableauBuildSequence = CardFaceSequence.SameColorDescendingRank;
        }
    }
}