﻿namespace CardPlay.Model.CardModel
{
    public static class SuitSequence
    {
        public static bool DontCare(Suit suit, Suit nextSuit)
        {
            return true;
        }

        public static bool SameSuit(Suit suit, Suit nextSuit)
        {
            return suit == nextSuit;
        }

        public static bool DifferentSuit(Suit suit, Suit nextSuit)
        {
            return ! SameSuit(suit, nextSuit);
        }

        public static bool SameColor(Suit suit, Suit nextSuit)
        {
            return suit.Color() == nextSuit.Color();
        }

        public static bool DifferentColor(Suit suit, Suit nextSuit)
        {
            return ! SameColor(suit, nextSuit);
        }
    }
}
