﻿using System;

namespace CardPlay.Model.GameModel.Actions
{
    public class PeekCardAction : CardAction
    {
        public PeekCardAction(CardGame cardGame, PartLocation cardLocation) : base(cardGame, cardLocation)
        {
        }

        protected override void OnExecute()
        {
            Guard.Against<InvalidOperationException>(true, "PeekCardAction.OnExecute");
        }
        
        protected override void OnReverse()
        {
            Guard.Against<InvalidOperationException>(true, "PeekCardAction.OnReverse");
        }
    }
}
