﻿using System;
using CardPlay.Model.Layout;
using CardPlay.Model.Primitives;

namespace CardPlay.Model.GameModel.Presentation
{
    public struct VisualTraits
    {
        public Func<EmptyPileCue> EmptyCue;
        public Func<CardPile, LayoutMetrics, Size[]> Arrangement;
        public Action<CardPile, BaseCues> UpdateBaseCues;

        public HorizontalAlignment HorizontalAlignment;
        public VerticalAlignment VerticalAlignment;

        public Size MinimumSize;
        public ContentFit ContentFit;
    }
}
