﻿using System;

namespace CardPlay.Model.GameModel
{
    public sealed class StateOfPlayChangedEventArgs : EventArgs
    {
        public StateOfPlayChangedEventArgs(StateOfPlay oldState, StateOfPlay newState)
        {
            OldState = oldState;
            NewState = newState;
        }

        public StateOfPlay OldState { get; private set; }
        public StateOfPlay NewState { get; private set; }
    }
}