﻿using CardPlay.Model.Primitives;

namespace CardPlay.Model.Layout
{
    public interface ILayoutSite
    {
        ILayoutSite Parent { get; set; }

        Size MeasuredSize { get; }
        Rectangle Bounds { get; set; }

        // Constraints
        bool Collapsed { get; set; }

        Size MinimumSize { get; }
        Size MaximumSize { get; }

        //HorizontalAlignment ContentHorizontalAlignment { get; set; }
        //VerticalAlignment ContentVerticalAlignment { get; set; }

        void Measure(ILayoutContext context, Size availableSize);
        void Arrange(ILayoutContext context, Rectangle bounds);
    }
}
