﻿Feature: Action Model
	In order to be able to undo mistakes
	As a card player
	I want to be able to record and reverse my plays

Background:
	Given I have a new calculator

Scenario: Initial state
	Then I can't undo
	And I can't redo

Scenario: Executing plays
	When I add 1
	And I add 3
	And I multiply by 4
	Then the calculated value should be 16
	And the calculator should have 3 changes
	And I can undo
	And I can't redo

Scenario: Reversing plays
	When I add 2
	And I multiply by 3
	And I reverse 1 action
	Then the calculated value should be 2
	And the calculator should have 3 changes
	And I can undo
	And I can redo

Scenario: Redo
	When I add 2
	And I multiply by 4
	And I multiply by 3
	And I reverse 2 actions
	And I redo 1 action
	Then the calculated value should be 8
	And the calculator should have 6 changes
	And I can undo
	And I can redo
